Bug 1120710 - Sync Status start time and result progress bar get out of sync
Summary: Sync Status start time and result progress bar get out of sync
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-17 14:15 UTC by Shannon Hughes
Modified: 2017-02-23 21:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:33 UTC


Attachments (Terms of Use)
screen shot (16.22 KB, image/png)
2014-07-17 14:15 UTC, Shannon Hughes
no flags Details
completed sync (15.83 KB, image/png)
2014-07-17 14:18 UTC, Shannon Hughes
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 8262 None None None 2016-04-22 15:45:40 UTC

Description Shannon Hughes 2014-07-17 14:15:55 UTC
Created attachment 918732 [details]
screen shot

Description of problem:

Noticed while syncing RHEL 6 kickstart and Server RPMS that the start time jumps in value that is incorrect. During a long sync the start time is accurate but when the sync reaches then end the time jumps back to "1 minute ago" and then starts over. Also the status bar goes from 100% to 0% while it waits to update to "Sync Complete"

Attaching a screen shot.

Comment 1 Shannon Hughes 2014-07-17 14:18:06 UTC
Created attachment 918733 [details]
completed sync

screen shot of when sync completed

Comment 2 RHEL Product and Program Management 2014-07-17 14:34:14 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Justin Sherrill 2014-11-04 14:48:33 UTC
So this was largely fixed for GA, however i have noticed that the sync bar does not seem to update, will work on fixing.

Comment 5 Justin Sherrill 2014-11-04 15:31:40 UTC
Created redmine issue http://projects.theforeman.org/issues/8262 from this bug

Comment 6 Bryan Kearney 2014-11-05 15:02:49 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8262 has been closed
-------------
Justin Sherrill
Applied in changeset commit:katello|7dd9236b00bba5fa33f683ee7db216a00c71d2e9.

Comment 7 jcallaha 2014-11-14 21:27:13 UTC
*** This bug is verified in upstream. This fix should eventually land in future downstream builds ***
RHEL65 / RHEL7

Version Tested:
foreman-proxy-1.8.0-0.develop.201411121327gitab6edc2.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-gce-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-selinux-1.8.0-0.develop.201410280941git10de1c5.el7.noarch
foreman-vmware-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-release-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.0-2.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
foreman-postgresql-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
foreman-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-ovirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-libvirt-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
foreman-compute-1.8.0-0.develop.201411131139git5cd6de6.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el7.noarch
yttrium.idmqe.lab.eng.bos.redhat.com-foreman-client-1.0-1.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch

Comment 8 Bryan Kearney 2015-08-11 13:22:54 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:10:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.